package com.sky.service;

import com.sky.dto.EmployeeLoginDTO;
import com.sky.entity.Employee;
import com.sky.entity.landimg;
import com.sky.result.Result;

import java.time.LocalDate;
import java.util.List;

public interface EmployeeService {

    /**
     * 员工登录
     * @param employeeLoginDTO
     * @return
     */
    Employee login(EmployeeLoginDTO employeeLoginDTO);

    List<Employee> getlocation(double volatitude, double volongitude);

    void postform(String author, String site, LocalDate pzdt, String imgurl);

    /**
     * 根据手机号查询出该专家的已经填报的所有信息
     */
    List<landimg> getLandimgByPhone(String phone);


}
